## CamelTextIndex

CamelTextIndex

## Functions

void | (*CamelTextIndexFunc) ()
CamelTextIndex * | camel_text_index_new ()
gint | camel_text_index_check ()
gint | camel_text_index_rename ()
gint | camel_text_index_remove ()
void | camel_text_index_dump ()
void | camel_text_index_info ()
void | camel_text_index_validate ()

## Object Hierarchy

        GObject
        ├── CamelIndex
        │   ╰── CamelTextIndex
        ├── CamelIndexCursor
        │   ├── CamelTextIndexCursor
        │   ╰── CamelTextIndexKeyCursor
        ╰── CamelIndexName
            ╰── CamelTextIndexName

## Description

## Functions

### CamelTextIndexFunc ()

    void
    (*CamelTextIndexFunc) (CamelTextIndex *idx,
                           const gchar *word,
                           gchar *buffer);

### camel_text_index_new ()

    CamelTextIndex *
    camel_text_index_new (const gchar *path,
                          gint flags);

### camel_text_index_check ()

    gint
    camel_text_index_check (const gchar *path);

### camel_text_index_rename ()

    gint
    camel_text_index_rename (const gchar *old,
                             const gchar *new_);

### camel_text_index_remove ()

    gint
    camel_text_index_remove (const gchar *old);

### camel_text_index_dump ()

    void
    camel_text_index_dump (CamelTextIndex *idx);

### camel_text_index_info ()

    void
    camel_text_index_info (CamelTextIndex *idx);

### camel_text_index_validate ()

    void
    camel_text_index_validate (CamelTextIndex *idx);